;;; emacs21-rus-win-keyboard.el --- Russian Windows style keyboard

;; Copyright (C) 2004  Free Software Foundation, Inc.

;; Author: Alex Ott <ottalex@narod.ru>
;; Keywords: 

;;         ( 
;;    ) ,     :
;;
;; redefine some orginal keybindings  MS -   ?
;;
;;  \\| => \\/    (  )
;;

(quail-define-package
 "cyrillic-jcuken-win" "Cyrillic" "RU" nil
 "H keyboard layout widely used in Russia (ISO 8859-5 encoding)"
 nil t t t t nil nil nil nil nil t)

(quail-define-rules
 ("1" ?1) ("2" ?2) ("3" ?3) ("4" ?4) ("5" ?5) ("6" ?6) ("7" ?7) ("8" ?8)
 ("9" ?9) ("0" ?0) ("-" ?-) ("=" ?=) ("`" ?) ("q" ?) ("w" ?) ("e" ?)
 ("r" ?) ("t" ?) ("y" ?) ("u" ?) ("i" ?) ("o" ?) ("p" ?) ("[" ?)
 ("]" ?) ("a" ?) ("s" ?) ("d" ?) ("f" ?) ("g" ?) ("h" ?) ("j" ?)
 ("k" ?) ("l" ?) (";" ?) ("\'" ?) ("\\\\" ?\\\\) ("z" ?) ("x" ?) ("c" ?)
 ("v" ?) ("b" ?) ("n" ?) ("m" ?) ("," ?) ("." ?) ("/" ?.) ("!" ?!)
 ("@" ?\\") ("#" ?#) ("$" ?\\;) ("%" ?%) ("^" ?:) ("&" ??) ("*" ?*) ("(" ?()
 (")" ?)) ("_" ?_) ("+" ?+) ("~" ?)
 ("Q" ?) ("W" ?) ("E" ?) ("R" ?) ("T" ?) ("Y" ?H) ("U" ?) ("I" ?)
 ("O" ?) ("P" ?) ("{" ?) ("}" ?) ("A" ?) ("S" ?) ("D" ?) ("F" ?)
 ("G" ?) ("H" ?) ("J" ?) ("K" ?) ("L" ?) (":" ?) ("\\"" ?) ("|" ?/)
 ("Z" ?) ("X" ?) ("C" ?) ("V" ?) ("B" ?) ("N" ?) ("M" ?) ("<" ?)
 (">" ?) ("?" ?,))


